diff --git a/corefreqd.c b/corefreqd.c
index 18e68136..6831d64b 100644
--- a/corefreqd.c
+++ b/corefreqd.c
@@ -3567,15 +3567,28 @@ void Core_Manager(REF *Ref)
 		break;
 	    }
 		/* Tasks collection					*/
+/*--
 	    if (BITWISEAND(LOCKLESS, Shm->SysGate.Operation, 0x1)) {
 		Shm->SysGate.tickStep = Proc->tickStep;
 		if (Shm->SysGate.tickStep == Shm->SysGate.tickReset) {
-			/* Update OS tasks and memory usage.		*/
+			// Update OS tasks and memory usage.
 			if (SysGate_OnDemand(Ref, 1) == 0) {
 				SysGate_Update(Ref);
 			}
 		}
 	    }
+*/
+	    if (BITWISEAND(LOCKLESS, Shm->SysGate.Operation, 0x1)) {
+		Shm->SysGate.tickStep = Proc->tickStep;
+		if (Shm->SysGate.tickStep == Shm->SysGate.tickReset) {
+			/* Update OS tasks and memory usage.		*/
+		    if (SysGate_OnDemand(Ref, 1) == 0) {
+			if (ioctl(Ref->fd->Drv, COREFREQ_IOCTL_SYSUPDT) == 0) {
+				SysGate_Update(Ref);
+			}
+		    }
+		}
+	    }
 		/* Notify Client.					*/
 		BITSET(LOCKLESS, Shm->Proc.Sync, 0);
 	}
diff --git a/corefreqk.c b/corefreqk.c
index 3361112f..60312b7a 100644
--- a/corefreqk.c
+++ b/corefreqk.c
@@ -4656,9 +4656,9 @@ void Sys_MemInfo(SYSGATE *SysGate)
 		Pkg->tickStep--;				\
 		if (!Pkg->tickStep) {				\
 			Pkg->tickStep = Pkg->tickReset;		\
-								\
+/*++								\
 			Sys_DumpTask(Pkg->OS.Gate);		\
-			Sys_MemInfo(Pkg->OS.Gate);		\
+			Sys_MemInfo(Pkg->OS.Gate);	*/	\
 		}						\
 	}							\
 })
diff --git a/coretypes.h b/coretypes.h
index cc58e581..2f132ad7 100644
--- a/coretypes.h
+++ b/coretypes.h
@@ -4,7 +4,7 @@
  * Licenses: GPL2
  */
 
-#define COREFREQ_VERSION	"1.39.13"
+#define COREFREQ_VERSION	"1.39.14"
 
 enum {	GenuineIntel,
 	Core_Yonah,
